Skip to main content
GET
/
v1
/
entities
/
cards
Batch compact entity cards by id
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.arcmira.com/v1/entities/cards', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.arcmira.com/v1/entities/cards"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://api.arcmira.com/v1/entities/cards \
--header 'Authorization: Bearer <token>'
{
  "cards": [
    {
      "id": 123,
      "name": "<string>",
      "slug": "<string>",
      "type": "<string>",
      "image_url": "<string>",
      "subtitle": null,
      "index_mentions": 123,
      "index_appearances": 123
    }
  ]
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids
string
required

Comma-separated raw integer entity ids, 1 to 50 of them (e.g. "12,844,1032"). Merged ids resolve to their canonical entity; unknown ids are silently dropped from the response.

Minimum string length: 1

Response

Success

cards
object[]
required

One card per requested id that resolved to an entity, in requested order. Unknown ids are silently dropped.